Subject: Abuse (re: operating-dir bug)

From: Noone Special <[email-masked]>
Date: Mon, 13 Oct 1997 10:21:25 -0500 (EST)

Someone was nice enough to flame me and send a letter to my
postmaster because of the last message I sent, concerning a
misconfiguration in someone's Pine settings.

I have no idea how the headers got so fudged on it, perhaps it was because
I carbon copied the list instead of sending directly to it?

Anyway, here is the correct letter:

>From [email-masked] Mon Oct 13 10:18:39 1997
Date: Mon, 13 Oct 1997 09:45:20 -0500 (EST)
From: Noone Special <[email-masked]>
X-Sender: pfarabee@indy4
Reply-To: Noone Special <[email-masked]>
To: Edward M Greshko <[email-masked]>
cc: Pine Discussion Forum <[email-masked]>
Subject: Re: operating-dir bug?
In-Reply-To: <[email-masked]>
Message-ID: <Pine.SUN.3.96.971013091420.12032F-100000@indy4>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII

Modern man is the missing link between apes and human beings.

On Mon, 13 Oct 1997, Edward M Greshko wrote:

> Don't you also want to set "default-saved-msg-folder"?
> 
> Ed
Actually, I think that will just set what folder messages are saved to by
default.. He wants to change the default saved attachment folder.

The problem Tim is running into is that pine wants to save to his current
directory (the directory he was in when he started pine) which may or may
not be in the tree of their mail directory.  He can either create a front
script to put them in their mail directory (not advisable, users could
still just run pine without the script if they know where to find it) or
find the option in pine that controls the default directory to save
attachments.

Actually, after reading more closely, I see that he already has that
option set (operating-dir)  In that case, check this setting out:

feature-list             =
            Set        Feature Name
            ---   ----------------------
            [ ]  allow-talk
            [ ]  assume-slow-link
            ...  .........  
            [ ]  tab-visits-next-new-message-only
>>>>>>>     [ ]  use-current-dir
            [ ]  use-sender-not-x-sender
            [ ]  use-subshell-for-suspend

Pat

> On Sun, 12 Oct 1997, LLC Tim Maletic wrote:

> > I'm running Pine 3.96 on Solaris 2.5.1.  I'd like my users to be
> > restricted to their ~/mail directories, so I configured Pine's
> > operating-dir accordingly. 
> >  
> > The problem is that now we get errors like "Can't save to file outside of
> > [~]/mail" when we try to save attachments and the like.